Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Goal Class Reference

The class represents a goal. More...

`#include <LandmarksPercept.h>`

Inheritance diagram for Goal:

[legend]
Collaboration diagram for Goal:

[legend]
List of all members.

## Public Member Functions
void | serialize (In *in, Out *out)
## Public Attributes
colorClass | color
| The color of the goal.
Vector2< double > | leftPost
| The position of the goal post that is seen left.
Vector2< double > | rightPost
| The position of the goal post that is seen right.
double | distanceValidity
| The validity of the determined distance.
double | angleValidity
| The validity of the determined direction.
double | distance
| distance to left corner of the goal, relative to robot
double | angle
| angle to the goal, relative to robot (meassured to the middle of the goalline)
double | rotation
| rotation of the the goal, relative to robot (meassured to the middle of the goalline)
Vector2< int > | topLeft
| Position of the upper left corner of the goal in the image.
Vector2< int > | topRight
| Position of the upper right corner of the goal in the image.
Vector2< int > | bottomLeft
| Position of the lower left corner of the goal in the image.
Vector2< int > | bottomRight
| Position of the lower right corner of the goal in the image.

## Detailed Description

The class represents a goal.

Definition at line 176 of file LandmarksPercept.h.

## Member Function Documentation

void Goal::serialize | ( | In * | in,
|  | Out * | out
| ) | `[inline, virtual]`

| Reimplemented from ConditionalBoundary. Definition at line 200 of file LandmarksPercept.h. References color, leftPost, rightPost, STREAM, STREAM_BASE, STREAM_ENUMASINT, STREAM_REGISTER_BEGIN, and STREAM_REGISTER_FINISH.

## Member Data Documentation

colorClass Goal::color

| The color of the goal. Definition at line 179 of file LandmarksPercept.h. Referenced by LandmarksPercept::addGoal(), GT2005ObstaclesLocator::determineSeenGoals(), VLCImageProcessor::filterPercepts(), GT2005ImageProcessor::filterPercepts(), SlamSelfLocator::landmarksObservationUpdate(), GT2005StableSelfLocator::landmarksObservationUpdate(), GT2005SelfLocator::landmarksObservationUpdate(), serialize(), and GT2005BallLocator::setBallSymbols().

Vector2<double> Goal::leftPost

| The position of the goal post that is seen left. Definition at line 180 of file LandmarksPercept.h. Referenced by LandmarksPercept::addGoal(), GT2004SelfLocator::execute(), SlamSampleTemplateGenerator::getBearing(), GT2005StableSampleTemplateGenerator::getBearing(), GT2005SampleTemplateGenerator::getBearing(), GT2004SelfLocator::getBearing(), SlamSelfLocator::landmarksObservationUpdate(), GT2005StableSelfLocator::landmarksObservationUpdate(), GT2005SelfLocator::landmarksObservationUpdate(), and serialize().

Vector2<double> Goal::rightPost

| The position of the goal post that is seen right. Definition at line 180 of file LandmarksPercept.h. Referenced by LandmarksPercept::addGoal(), GT2004SelfLocator::execute(), SlamSampleTemplateGenerator::getBearing(), GT2005StableSampleTemplateGenerator::getBearing(), GT2005SampleTemplateGenerator::getBearing(), GT2004SelfLocator::getBearing(), SlamSelfLocator::landmarksObservationUpdate(), GT2005StableSelfLocator::landmarksObservationUpdate(), GT2005SelfLocator::landmarksObservationUpdate(), and serialize().

double Goal::distanceValidity

| The validity of the determined distance. Not used yet. Definition at line 183 of file LandmarksPercept.h. Referenced by LandmarksPercept::addGoal(), and LandmarksPercept::estimateOffsetAndValiditiesForGoal().

double Goal::angleValidity

| The validity of the determined direction. Not used yet. Definition at line 184 of file LandmarksPercept.h. Referenced by LandmarksPercept::addGoal(), and LandmarksPercept::estimateOffsetAndValiditiesForGoal().

double Goal::distance

| distance to left corner of the goal, relative to robot Definition at line 187 of file LandmarksPercept.h. Referenced by LandmarksPercept::addGoal(), GT2005ObstaclesLocator::determineSeenGoals(), LandmarksPercept::estimateOffsetAndValiditiesForGoal(), SlamSampleTemplateGenerator::getBearing(), GT2005StableSampleTemplateGenerator::getBearing(), GT2005SampleTemplateGenerator::getBearing(), and GT2004SelfLocator::getBearing().

double Goal::angle

| angle to the goal, relative to robot (meassured to the middle of the goalline) Definition at line 190 of file LandmarksPercept.h. Referenced by LandmarksPercept::addGoal(), GT2005ObstaclesLocator::determineSeenGoals(), LandmarksPercept::estimateOffsetAndValiditiesForGoal(), VLCImageProcessor::filterPercepts(), and GT2005ImageProcessor::filterPercepts().

double Goal::rotation

| rotation of the the goal, relative to robot (meassured to the middle of the goalline) Definition at line 193 of file LandmarksPercept.h. Referenced by LandmarksPercept::addGoal(), and LandmarksPercept::estimateOffsetAndValiditiesForGoal().

Vector2<int> Goal::topLeft

| Position of the upper left corner of the goal in the image. Definition at line 195 of file LandmarksPercept.h. Referenced by LandmarksPercept::addGoal().

Vector2<int> Goal::topRight

| Position of the upper right corner of the goal in the image. Definition at line 196 of file LandmarksPercept.h. Referenced by LandmarksPercept::addGoal().

Vector2<int> Goal::bottomLeft

| Position of the lower left corner of the goal in the image. Definition at line 197 of file LandmarksPercept.h. Referenced by LandmarksPercept::addGoal().

Vector2<int> Goal::bottomRight

| Position of the lower right corner of the goal in the image. Definition at line 198 of file LandmarksPercept.h. Referenced by LandmarksPercept::addGoal().

The documentation for this class was generated from the following file:

- Representations/Perception/LandmarksPercept.h